/* 
 *  ================================================================
 *  DemoLoopSummation01.java: Demonstrate that the series summation
 *  
 *      S = 1/(1.2) + 1/(2.3) + 1/(3.4) + ....
 *  
 *  approaches 1.  
 *  ================================================================
 */ 

package basics;

import java.lang.Math;
import java.util.*;
import java.io.*;
import java.text.*;

public class DemoLoopSummation01 {

   public static void main( String args[] ) {
       double dX, dTotal;
       double dSum;

       // Print welcome message

       System.out.println("Series summation approaching 1");
       System.out.println("------------------------------");

       // Demonstration with n = to differnt values

       System.out.println("Number of Terms   |     Sum of Values");
       System.out.println("-------------------------------------");

       dSum = 0.0;
       for( int i = 1; i <= 30; i = i + 1) {
          dSum = dSum + 1.0/(i*(i+1));
          System.out.printf(" %14d      %16.10f\n", i, dSum );
       }

       System.out.println("-------------------------------------");
   }
}
