/*
 *  ==========================================================
 *  Circle.java: Test Program for Rectangle and Circle Shapes.
 *  ==========================================================
 */

package shapes;

import java.lang.Math;

// Class of Circles.

public class Circle extends Shape {
      double dRadius;
   
      public Circle ( double dRadius, double dX, double dY ) {
            this.dRadius = dRadius;
            c.dX = dX;
            c.dY = dY;
      }

      public String toString() {
            return "Circle : Radius = " + dRadius + " [x,y] = [" + c.dX + "," + c.dY + "]";
      }

      public double perimeter() {
            return 2.0*Math.PI*dRadius;
      }

      public double area() {
            return Math.PI*dRadius*dRadius;
      }
}

