/* 
 *  ====================================================================
 *  DemoLoopSummation02.java: Use simple looping construct to find least
 *  value of "n" such that  
 *  
 *      S = 1 + 2 + 3 + ... + n > 10,000
 *  
 *  Written By: Mark Austin                               November, 2008
 *  ====================================================================
 */ 

package basics;

public class DemoLoopSummation02 {
   public static void main( String args[] ) {
       int iSum = 0;

       System.out.println("------------------------------");

       // Compute series summation up to 10,000....

          int i = 1;
          while ( iSum <= 10000 ) {
             iSum = iSum + i;
             System.out.println("*** i = " + i + " iSum = " + iSum );
             i = i + 1;
          }

       // Check with simple summation formula

       System.out.println("------------------------------");
       System.out.println("*** Series summation = " + i*(i-1)/2.0 );
   }
}
