/*
 * =====================================================================
 * TestConsumer02.java: 
 * =====================================================================
 */

package lambda;

import java.util.function.Consumer;

public class TestConsumer02 {
   public static void main(String[] args) {
      int x = 101;
      int z = 102;
      
      Consumer<Integer> myConsumer = (y) -> {
          System.out.println("int x => " + x); // Statement A
          System.out.println("var y => " + y);
      };

      System.out.printf("--- Part 1: consume variable x ...\n");

      myConsumer.accept(x);

      System.out.printf("--- Part 2: consume variable z ...\n");

      myConsumer.accept(z);

   }
}
